Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.evaluation
Class MatrixMeasures

    java.lang.Object
      infomat.evaluation.MatrixMeasures

    public class MatrixMeasures

extends java.lang.Object

For calculating intrinsic quality measures.

Field Summary
`private IObjectGrouping` | `evalGrouping`
`private java.lang.String` | `evalGroupingDesignation`
`private IMatrix` | `matrix`
`private Properties` | `properties`
`private IObjectGrouping` | `refGrouping`
`private java.lang.String` | `refGroupingDesignation`
`private java.lang.String` | `stamp`

Constructor Summary
`MatrixMeasures(IMatrix matrix, IObjectGrouping evalGrouping, IObjectGrouping refGrouping, java.lang.String evalGroupingDesignation, java.lang.String refGroupingDesignation, java.lang.String stamp)`

Method Summary
`MeasureGroup` | `allMeasuresInAGroup()`
`private double` | `avgCellsPerObjInGroup(IObjectGroup iog)`
`Measures` | `calculateAllMeasures()`
`MeasureGroup` | `calculateBasicMatrixMeasures()`
`MeasureGroup` | `calculateGroupingMeasures(IObjectGrouping grouping, java.lang.String groupingDesignation)`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private Properties properties

### matrix

    private IMatrix matrix

### evalGrouping

    private IObjectGrouping evalGrouping

### refGrouping

    private IObjectGrouping refGrouping

### evalGroupingDesignation

    private java.lang.String evalGroupingDesignation

### refGroupingDesignation

    private java.lang.String refGroupingDesignation

### stamp

    private java.lang.String stamp

Constructor Detail

### MatrixMeasures

    public MatrixMeasures(IMatrix matrix,
                          IObjectGrouping evalGrouping,
                          IObjectGrouping refGrouping,
                          java.lang.String evalGroupingDesignation,
                          java.lang.String refGroupingDesignation,
                          java.lang.String stamp)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### calculateAllMeasures

    public Measures calculateAllMeasures()
                                  throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### allMeasuresInAGroup

    public MeasureGroup allMeasuresInAGroup()
                                     throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGroupingMeasures

    public MeasureGroup calculateGroupingMeasures(IObjectGrouping grouping,
                                                  java.lang.String groupingDesignation)
                                           throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateBasicMatrixMeasures

    public MeasureGroup calculateBasicMatrixMeasures()
                                              throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### avgCellsPerObjInGroup

    private double avgCellsPerObjInGroup(IObjectGroup iog)

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD